OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKPShape
PGeom2d

# PGeom2d_Circle Class Reference

`#include <PGeom2d_Circle.hxx>`

Inheritance diagram for PGeom2d_Circle:

[legend]

## Public Member Functions
Standard_EXPORT | PGeom2d_Circle ()
| Creates a circle with default values. .
Standard_EXPORT | PGeom2d_Circle (const gp_Ax22d &aPosition, const Standard_Real aRadius)
| Creates a Circle with <aposition> and <aradius> as field values. .
Standard_EXPORT void | Radius (const Standard_Real aRadius)
| Set the value of the field radius with <aradius>. .
Standard_EXPORT Standard_Real | Radius () const
| Returns the value of the field radius. .
| PGeom2d_Circle (const Storage_stCONSTclCOM &a)
Standard_Real | _CSFDB_GetPGeom2d_Circleradius () const
void | _CSFDB_SetPGeom2d_Circleradius (const Standard_Real p)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Standard_Real | radius

## Constructor & Destructor Documentation

Standard_EXPORT PGeom2d_Circle::PGeom2d_Circle | ( |  | ) |

Standard_EXPORT PGeom2d_Circle::PGeom2d_Circle | ( | const gp_Ax22d & | aPosition,
|  | const Standard_Real | aRadius
| ) |

PGeom2d_Circle::PGeom2d_Circle | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

Standard_Real PGeom2d_Circle::_CSFDB_GetPGeom2d_Circleradius | ( |  | ) | const`[inline]`

void PGeom2d_Circle::_CSFDB_SetPGeom2d_Circleradius | ( | const Standard_Real | p | ) | `[inline]`

Standard_EXPORT const PGeom2d_Circle::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PGeom2d_Conic.

Standard_EXPORT Standard_Real PGeom2d_Circle::Radius | ( |  | ) | const

Standard_EXPORT void PGeom2d_Circle::Radius | ( | const Standard_Real | aRadius | ) |

## Field Documentation

Standard_Real PGeom2d_Circle::radius`[private]`

The documentation for this class was generated from the following file:

- PGeom2d_Circle.hxx